# Constant Field Values

## Contents

- org.picocontainer.*

## org.picocontainer.*

org.picocontainer.Characteristics
Modifier and Type
Constant Field
Value
`public static final String`
`FALSE`
`"false"`
`public static final String`
`TRUE`
`"true"`
org.picocontainer.PicoVisitor
Modifier and Type
Constant Field
Value
`public static final boolean`
`ABORT_TRAVERSAL`
`false`
`public static final boolean`
`CONTINUE_TRAVERSAL`
`true`

org.picocontainer.monitors.ComponentMonitorHelper
Modifier and Type
Constant Field
Value
`public static final String`
`INSTANTIATED`
`"PicoContainer: instantiated {0} [{1} ms], component {2}, injected [{3}]"`
`public static final String`
`INSTANTIATING`
`"PicoContainer: instantiating {0}"`
`public static final String`
`INSTANTIATION_FAILED`
`"PicoContainer: instantiation failed: {0}, reason: {1}"`
`public static final String`
`INVOCATION_FAILED`
`"PicoContainer: invocation failed: {0} on {1}, reason: {2}"`
`public static final String`
`INVOKED`
`"PicoContainer: invoked {0} on {1} [{2} ms]"`
`public static final String`
`INVOKING`
`"PicoContainer: invoking {0} on {1}"`
`public static final String`
`LIFECYCLE_INVOCATION_FAILED`
`"PicoContainer: lifecycle invocation failed: {0} on {1}, reason: {2}"`
`public static final String`
`NO_COMPONENT`
`"PicoContainer: No component for key: {0}"`